Index: sysctl.5
===================================================================
RCS file: sysctl.5
diff -N sysctl.5
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysctl.5	10 Mar 2003 10:59:11 -0000
@@ -0,0 +1,72 @@
+.\" Copyright (c) 2003
+.\"	The Regents of the University of California.  All rights reserved.
+.\"
+.\" Redistribution and use in source and binary forms, with or without
+.\" modification, are permitted provided that the following conditions
+.\" are met:
+.\" 1. Redistributions of source code must retain the above copyright
+.\"    notice, this list of conditions and the following disclaimer.
+.\" 2. Redistributions in binary form must reproduce the above copyright
+.\"    notice, this list of conditions and the following disclaimer in the
+.\"    documentation and/or other materials provided with the distribution.
+.\"
+.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+.\" SUCH DAMAGE.
+.\"
+.\" $FreeBSD$
+.\"
+.Dd March 10, 2003
+.Dt SYSCTL 5
+.Os
+.Sh NAME
+.Nm sysctl
+.Nd FreeBSD runtime parameters
+.Sh DESCRIPTION
+The
+.Xr sysctl ,
+utility retrieves kernel state and allows processes with appropriate
+privilege to change various runtime parameters.  The state to be
+retrieved or set is described using a
+.Dq Management Information Base
+.Pq Dq MIB
+style name, described as a hierarchy of dotted components.
+.Pp
+.Sh MIBs
+The
+.Pq in theory
+complete list of MIBs and the appropriate man page reference:
+.Bl -column security.bsd.unprivileged_read_msgbuf integer
+.It Sy Em Name Ta Sy Em Type Ta Sy Em Reference(s)
+.Pp
+.\"
+.\" Keep the MIBs sorted in alphabetical order!
+.\"
+.It kern.argmax Ta integer Ta Xr kvm_getargv 3
+.It kern.hostid Ta integer Ta Xr gethostid 3 , Xr sethostid 3
+.It kern.hostname Ta string Ta Xr gethostname 3 , Xr sethostname 3
+.It kern.ipc.nsfbufs Ta integer Ta Xr sendfile 2 , Xr tuning 7
+.It kern.maxfiles Ta integer Ta Xr getrlimit 2 , Xr setrlimit 2
+.It kern.maxproc Ta integer Ta Xr getrlimit 2 , Xr setrlimit 2
+.It kern.maxvnodes Ta integer Ta Xr vnode 9
+.It kern.ngroups Ta integer Ta Xr getgroups 3 , Xr setgroups 3
+.It kern.osreldate Ta integer Ta Xr getosreldate 3
+.It kern.osrelease Ta string Ta Xr uname 3
+.It kern.ostype Ta string Ta Xr uname 3
+.It kern.securelevel Ta integer Ta Xr securelevel 8
+.It kern.version Ta string Ta Xr uname 3
+.El
+.Sh SEE ALSO
+.Xr config 8 ,
+.Xr loader.conf 5 ,
+.Xr sysctl 3 ,
+.Xr sysctl.conf 5 ,
+.Xr sysctl 8
Index: Makefile
===================================================================
RCS file: /home/ncvs/src/sbin/sysctl/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- Makefile	4 Dec 2001 02:19:58 -0000	1.8
+++ Makefile	10 Mar 2003 10:59:11 -0000
@@ -3,6 +3,6 @@
 
 PROG=	sysctl
 WARNS=	0
-MAN=	sysctl.8
+MAN=	sysctl.5 sysctl.8
 
 .include <bsd.prog.mk>
